aboutsummaryrefslogtreecommitdiffstats
path: root/installation/sdnc/src/main/scripts/startODL.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installation/sdnc/src/main/scripts/startODL.sh')
-rwxr-xr-xinstallation/sdnc/src/main/scripts/startODL.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/installation/sdnc/src/main/scripts/startODL.sh b/installation/sdnc/src/main/scripts/startODL.sh
index 81e6d7f1..7a224877 100755
--- a/installation/sdnc/src/main/scripts/startODL.sh
+++ b/installation/sdnc/src/main/scripts/startODL.sh
@@ -220,11 +220,7 @@ if $ODL_REMOVEIDMDB ; then
rm $ODL_HOME/data/idmlight.db.mv.db
fi
fi
-# do not start container if ADMIN_PASSWORD is not set
-if [ -z "$ODL_ADMIN_PASSWORD" ]; then
- echo "ODL_ADMIN_PASSWORD is not set"
- exit 1
-fi
+
SDNC_HOME=${SDNC_HOME:-/opt/onap/sdnc}
SDNC_BIN=${SDNC_BIN:-/opt/onap/sdnc/bin}
# Whether to intialize MYSql DB or not. Default is to initialize
@@ -329,6 +325,12 @@ if $SDNRINIT ; then
fi
fi
+# do not start container if ADMIN_PASSWORD is not set
+if [ -z "$ODL_ADMIN_PASSWORD" ]; then
+ echo "ODL_ADMIN_PASSWORD is not set"
+ exit 1
+fi
+
# Check for MySQL DB connectivity only if SDNC_DB_INIT is set to "true"
if $SDNC_DB_INIT; then
#
@@ -343,6 +345,7 @@ if $SDNC_DB_INIT; then
printf "\nmysql ready"
fi
+
if [ ! -d "${INSTALLED_DIR}" ]
then
mkdir -p "${INSTALLED_DIR}"
@@ -367,7 +370,10 @@ then
fi
if $SDNRWT ; then install_sdnrwt_features ; fi
- if $ENABLE_OAUTH ; then install_sdnr_oauth_features ; fi
+ if $ENABLE_OAUTH ; then
+ cp $SDNC_HOME/data/oauth-aaa-app-config.xml $ODL_HOME/system/org/opendaylight/aaa/aaa-shiro/0.12.1/aaa-shiro-0.12.1-aaa-app-config.xml
+ install_sdnr_oauth_features
+ fi
# The enable_odl_cluster call should not be moved above this line as the cleanFeatureBoot will overwrite entries. Ex: odl-jolokia
if $ENABLE_ODL_CLUSTER ; then enable_odl_cluster ; fi